## Name

expand — Performs matching of the regular_expression with the names of all the objects in the database. It returns all those that successfully match.

## Synopsis

`expand` {`regular_expression`}

## DESCRIPTION

Performs matching of the regular_expression with the names of all the objects in the database. It returns all those that successfully match.

## EXAMPLES

The example shows the use of the expand command to display a list of all database object names having a particular ending.

Example 1. Display a list of database object names having a particular ending.

`mged>` `expand *.r`

  A list of all database object names that end in .r is displayed.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.